#######################################################################################
#Script to add trasnition months from dry to wet season to *.sub files for SWAT-T model
#######################################################################################

#Set path to your SWAT project 
setwd("")

#Get list with all sub-files
filenames<-dir(getwd(),pattern=".sub")
sub.tot<-length(filenames) # total number of *.sub files in the project
#Add two more lines with the new parameters to each *.sub-files
add.SOS <- function(i) {
  subfile<-file(filenames[i],"r+")
  text<-readLines(subfile)
  close(subfile)
  
  text[16:(length(text)+2)] <- text[14:length(text)]
  text[14] <- "              10    | SOS1: Starting month for transition to wet season (optional)" 
  text[15] <- "              11    | SOS2: Ending month for transition to wet season (optional)"
  
  subfile<-file(filenames[i],"w+")
  writeLines(text,subfile)
  close(subfile)
}

sapply(1:sub.tot,add.SOS)

